ricardofiorani/guzzle-psr18-adapter

v1.0.4 2020-11-18 15:41 UTC

This package is auto-updated.

Last update: 2021-04-29 20:18:15 UTC


README

Build Status Minimum PHP Version License Total Downloads Coding Standards

A (very) simple guzzle PSR-18 adapter.

Requirements

  • PHP ^7.1 || ^8.0
  • Guzzle ^6.3

Install

Via Composer

$ composer require ricardofiorani/guzzle-psr18-adapter

Usage

$client = new \RicardoFiorani\GuzzlePsr18Adapter\Client();
$request = new \Your\Implementation\Of\Psr7\Request();
try {
    echo $client->sendRequest($request);
} catch (\Psr\Http\Client\ClientExceptionInterface $exception) {
    // your error handling
}

For futher documentation please see http://docs.guzzlephp.org/en/stable/

Testing

$ composer test

Credits